unit IMPORT_u1;
interface
uses
  u1,
  Variants,
  PaxCompiler,
  PaxRegister;
procedure RegisterIMPORT_u1;
implementation
procedure RegisterIMPORT_u1;
var G, H: Integer;
begin
  H := RegisterNamespace(0, 'u1');
  // Begin of class TMyClass1
  G := RegisterClassType(H, TMyClass1);
  RegisterHeader(G, 
       'procedure P;',
       @TMyClass1.P);
  RegisterHeader(G,
       'constructor Create;',
       @TMyClass1.Create);
  // End of class TMyClass1
  RegisterHeader(H, 'procedure P;', @P);
end;
end.
